OpenMesh::ArrayKernel::ExtStatusSetT< HandleT > Class Template Reference

ExtStatusSet: A status set augmented with an array. More...

`#include <OpenMesh/Core/Mesh/ArrayKernel.hh>`

Inheritance diagram for OpenMesh::ArrayKernel::ExtStatusSetT< HandleT >:
[legend]
Collaboration diagram for OpenMesh::ArrayKernel::ExtStatusSetT< HandleT >:
[legend]

## Public Types

typedef HandleT | Handle
typedef AutoStatusSetT< Handle > | Base
typedef HandleContainer::iterator | iterator
typedef HandleContainer::const_iterator | const_iterator
Public Types inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
typedef HandleT | Handle

## Public Member Functions

| ExtStatusSetT (ArrayKernel &_kernel, size_t _capacity_hint=0)
void | insert (Handle _hnd)
void | erase (Handle _hnd)
| Complexity: O(k), (k - number of the elements in the set)
void | erase (iterator _it)
| Complexity: O(1)
void | clear ()
unsigned int | size () const
| Complexity: 0(1)
bool | empty () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
Handle & | front ()
const Handle & | front () const
Handle & | back ()
const Handle & | back () const
Public Member Functions inherited from OpenMesh::ArrayKernel::AutoStatusSetT< HandleT >
| AutoStatusSetT (ArrayKernel &_kernel)
Public Member Functions inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
| StatusSetT (ArrayKernel &_kernel, const unsigned int _bit_mask)
bool | is_in (Handle _hnd) const
void | insert (Handle _hnd)
void | erase (Handle _hnd)
size_t | size () const
| Note: 0(n) complexity.
void | clear ()
| Note: O(n) complexity.

## Protected Types

typedef std::vector< Handle > | HandleContainer

## Protected Attributes

HandleContainer | handles_
Protected Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
ArrayKernel & | kernel_

## Additional Inherited Members

Public Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< HandleT >
const unsigned int | bit_mask_

## Detailed Description

### template<class HandleT>
class OpenMesh::ArrayKernel::ExtStatusSetT< HandleT >

ExtStatusSet: A status set augmented with an array.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/ArrayKernel.hh